This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 203039 - Review Request: perl-Sys-Virt - Represent and manage a libvirt hypervisor connection
Review Request: perl-Sys-Virt - Represent and manage a libvirt hypervisor con...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-17 18:03 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 16:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-08-17 18:03:16 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Sys-Virt/perl-Sys-Virt.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Sys-Virt-0.1.1-2.src.rpm
Description:
The Sys::Virt module provides a Perl XS binding to the libvirt virtual
machine management APIs. This allows machines running within arbitrary
virtualization containers to be managed with a consistent API.
Comment 1 Chris Weyl 2006-08-18 00:13:54 EDT
The full test suite requires perl(Test::Pod::Coverage) and
perl(Test::Pod) to run; these should be buildrequires'ed.  Add these two and
I'll approve.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text included in package.
+ source files match upstream:
 63b776d65213df313685fc93b808b3bf  Sys-Virt-0.1.1.tar.gz
 63b776d65213df313685fc93b808b3bf  Sys-Virt-0.1.1.tar.gz.srpm
+ latest version is being packaged.
X BuildRequires are proper.
+ package builds in mock (5/x86_64).
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-Sys-Virt-0.1.1-2.fc5.x86_64.rpm
== rpmlint
== provides
Virt.so()(64bit)
perl(Sys::Virt) = 0.1.1
perl(Sys::Virt::Domain)
perl(Sys::Virt::Error)
perl-Sys-Virt = 0.1.1-2.fc5
== requires
libvirt.so.0()(64bit)
libxenstore.so()(64bit)
perl(:MODULE_COMPAT_5.8.8)
perl(Sys::Virt::Domain)
perl(Sys::Virt::Error)
perl(XSLoader)
perl(overload)
perl(strict)
perl(warnings)
** perl-Sys-Virt-debuginfo-0.1.1-2.fc5.x86_64.rpm
== rpmlint
== provides
Virt.so.debug()(64bit)
perl-Sys-Virt-debuginfo = 0.1.1-2.fc5
== requires
+ no shared libraries in the system paths are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
X %check is present and all tests pass:
 All tests successful.
 Files=3, Tests=7,  1 wallclock secs ( 0.28 cusr +  0.06 csys =  0.34 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.
Comment 2 Steven Pritchard 2006-08-18 13:59:27 EDT
(In reply to comment #1)
> The full test suite requires perl(Test::Pod::Coverage) and
> perl(Test::Pod) to run; these should be buildrequires'ed.

Oops.  I tested a mock build, but I forgot to look at build.log.

-3 has those added.

http://ftp.kspei.com/pub/steve/rpms/perl-Sys-Virt-0.1.1-3.src.rpm
Comment 3 Chris Weyl 2006-08-18 14:24:44 EDT
APPROVED
Comment 4 Steven Pritchard 2006-08-18 16:45:22 EDT
Looks like we missed two things: 1) libvirt has an ExclusiveArch that I needed
to match, and 2) building on rawhide is broken due to a missing dependency in
libvirt-devel.  I've hopefully fixed both, andI'm testing mock builds now.

Anyway, branches have been created, so I'm going to close this bug.

Note You need to log in before you can comment on or make changes to this bug.